Bug 54137 - X11 keyboard layout for the Gagauz language
X11 keyboard layout for the Gagauz language
Status: RESOLVED FIXED
Product: xkeyboard-config
Classification: Unclassified
Component: General
unspecified
All Linux (All)
: medium normal
Assigned To: xkb
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 23:40 UTC by workisgreat
Modified: 2014-07-29 00:17 UTC (History)
1 user (show)

See Also:


Attachments
Gagauz Layout (5.06 KB, patch)
2012-08-27 23:40 UTC, workisgreat
Details | Splinter Review
Updated version - 1 error fixed (5.13 KB, text/plain)
2013-03-30 21:38 UTC, workisgreat
Details
Updated version - 1 more error fixed (5.12 KB, text/plain)
2014-04-25 20:56 UTC, workisgreat
Details
Git patch for bug: 97996: Updated version - 1 more error fixed (3.69 KB, patch)
2014-07-04 12:55 UTC, workisgreat
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description workisgreat 2012-08-27 23:40:19 UTC
Created attachment 66196 [details] [review]
Gagauz Layout

Hello,

It would be much appreciated if you help create a keyboard layout for the Gagauz language.

My current skills only allow me to attach how the layout should look like, but not the .xml/.lst files, patches, etc.

Regarding the country to put the layout under, that's probably "md" (Moldova, the Republic of) since most Gagauz people live in this country. 
Including the layout by reference in "ua" and "tr" files would probably make sense as well, 1) as there are Gagauz people in the Ukraine, 2) and as Crimean tatar is linked to "tr", Gagauz might be too.

The language code is probably "gag". http://www.sil.org/iso639-3/documentation.asp?id=gag

Sorry that I can contribute to this extent only.

Thanks.
Comment 1 Sergey V. Udaltsov 2012-08-29 00:08:02 UTC
I am confused. That layout cannot be default for Moldova, right? But I need some default variants for the country. What would you recommend?
Comment 2 workisgreat 2012-08-29 09:15:22 UTC
That's correct, Gagauz cannot be default for Moldova.
The default layout for Moldova should be Romanian.
Russian can also be included as it's the 2nd most spoken language in the country.
Comment 3 Sergey V. Udaltsov 2012-08-29 23:26:50 UTC
Ok, now it is in git. The patch was not actually compilable. Anyway, please check it from git
Comment 4 workisgreat 2012-08-31 11:17:26 UTC
Thank you.
Comment 5 workisgreat 2013-03-30 21:38:47 UTC
Created attachment 77236 [details]
Updated version - 1 error fixed

There was an error on line 41:
quotedb1 (number 1) instead of quotedbl (letter L) which prevented from typing the symbol - ".

The uploaded file fixes the issue.
Comment 6 Sergey V. Udaltsov 2013-03-30 23:15:13 UTC
Could you pls make a patch for git? Thank you!
Comment 7 workisgreat 2013-03-31 10:05:11 UTC
Unfortunately, I can't. This is above my competence :(
Comment 8 Sergey V. Udaltsov 2013-03-31 21:14:13 UTC
Committed! Thank you!
Comment 9 workisgreat 2014-04-25 20:56:01 UTC
Created attachment 97996 [details]
Updated version - 1 more error fixed

Hi,

I noticed another inaccuracy in the layout - the Ccedilla symbol was mistakenly assigned to 2 keys.

The attached file contains an update to the layout.

It would be great if this change can be committed too when and if possible. Thank you.
Comment 10 workisgreat 2014-07-04 12:55:47 UTC
Created attachment 102269 [details] [review]
Git patch for bug: 97996: Updated version - 1 more error fixed

Hi, I created a patch to fix the error described in bug 97996 - please find it attached. Thanks.
Comment 11 Sergey V. Udaltsov 2014-07-29 00:17:28 UTC
Thanks, committed the fix!